
<div class="container">  
  
    <mat-card>  
      <mat-toolbar color="accent">  
        <div align="center" style="color:white;text-align: right;">  
          Service Master
        </div>    
      </mat-toolbar>  
    <br><br>  
      <mat-card-content>  
        <form [formGroup]="serviceForm"(ngSubmit)="onFormSubmit(serviceForm.value)">  
                <table>  
                  <tr>  
                    <td class="tbl1">  
                      <mat-form-field class="demo-full-width">  
                        <input formControlName="ServiceName" matTooltip="Enter Service Name" matInput placeholder="Service Name">  
                      </mat-form-field>  
                      <mat-error>  
                        <span *ngIf="!serviceForm.get('ServiceName').value && serviceForm.get('ServiceName').touched"></span>  
                      </mat-error>  
                    </td>  
                    <td class="tbl1">  
                      <mat-form-field class="demo-full-width">  
                        <input formControlName="Description" matTooltip="Enter Description" matInput placeholder="Description">  
                      </mat-form-field>  
                      <mat-error>  
                        <span *ngIf="!serviceForm.get('Description').value && serviceForm.get('Description').touched"></span>  
                      </mat-error>  
                    </td>  
                  </tr> 
                  <tr>  
                    <td></td>  
                    <td  class="content-center">  
                      <button type="submit" mat-raised-button color="accent"matTooltip="Click Submit Button"[disabled]="!serviceForm.valid">Submit</button>      
                      <button type="reset" mat-raised-button color="accent"matTooltip="Click Reset Button" (click)="resetForm()">Reset</button>  
                    </td>  
                    <td>  
                      <p *ngIf="dataSaved" style="color:rgb(0, 128, 0);font-size:20px;font-weight:bold" Class="success" align="left">  
                        {{massage}}  
                      </p>  
                    </td>  
                  </tr>  
                </table>  
    <br><br>  
          <table class="table" >  
              <tr ngclass="btn-primary">  
                <th class="tbl2">User Name</th>  
                <th class="tbl2">Address</th>  
                <th class="tbl2">Email Id</th>  
                <th class="tbl2">State</th>  
                <th class="tbl2">City</th>  
                <th class="tbl2">Phone 1</th>  
                <th class="tbl2">Pine Code</th>  
                <th class="tbl2">Edit</th>  
                <th class="tbl2">Delete</th>  
              </tr>  
              <tr *ngFor="let users of AllUsers | async">  
                <td class="tbl2">{{users.Name}}</td>  
                <td class="tbl2">{{users.Address | date }}</td>  
                <td class="tbl2">{{users.Email}}</td>  
                <td class="tbl2">{{users.State}}</td> 
                <td class="tbl2">{{users.City}}</td>  
                <td class="tbl2">{{users.Phone1}}</td>  
                <td class="tbl2">{{users.Pincode}}</td>  
                <td class="tbl2">  
                  <button type="button" class="btn btn-info"matTooltip="Click Edit Button"(click)="loadUserToEdit(users.Id)">Edit</button>  
                </td>  
                <td class="tbl2">  
                  <button type="button" class="btn btn-danger"matTooltip="Click Delete Button"(click)="deleteUser(users.Id)">Delete</button>  
                </td>  
              </tr>  
      
            </table>  
        </form>  
      </mat-card-content>  
    </mat-card>  
    </div> 